Bug 115963 - syslog problem
Summary: syslog problem
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pidentd   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-17 12:17 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.0.16-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 16:08:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-17 12:17:16 UTC
Description of problem:

I just tried to compile package pidentd-3.0.16-1 from Fedora.

The compiler said

1.

daemon.c:99: warning: too many arguments for format

The source code is

        syslog(LOG_ERR, "s_write(fd, ..., %d): %m", fd, strlen(buf));

Suggest add another % specifier for the strlen( buf) parameter.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Eido Inoue 2004-04-14 16:08:37 UTC
fd string changed to %d, strlen() format specifier change to %zu


Note You need to log in before you can comment on or make changes to this bug.